cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philip Thompson (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CASSANDRA-7179) 2.1 and trunk do not build on windows with ant
Date Tue, 06 May 2014 17:59:15 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-7179?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Philip Thompson updated CASSANDRA-7179:
---------------------------------------

    Description: 
In the trunk, the cassandra-2.1 branch as well as the 2.1 beta 1 and beta2 tags, cassandra
does not build via ant on Windows.

This was reproduced on three machines, one using a fresh checkout of C*, and fresh install
of ant and java. All three machines correctly have the env vars ANT_HOME, CASSANDRA_HOME,
and JAVA_HOME set.

The following error messages were availabe:

{code}
maven-ant-tasks-retrieve-build:
[artifact:dependencies] [WARNING] POM for 'org.codehaus.jackson:jackson-mapper-asl:pom:1.7.3:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'com.thoughtworks.paranamer:paranamer:pom:2.3:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.xerial.snappy:snappy-java:pom:1.0.3.2:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.slf4j:slf4j-api:pom:1.6.1:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.antlr:antlr-runtime:pom:3.5.2:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.antlr:ST4:pom:4.0.8:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] Building ant file: D:\Users\Philip\cassandra\cassandra/build/build-dependencies.xml
     [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\jars
     [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\sources
{code}

and then more importantly:

{code}
build-project:
     [echo] apache-cassandra: D:\Users\Philip\cassandra\cassandra\build.xml
    [javac] Compiling 45 source files to D:\Users\Philip\cassandra\cassandra\build\classes\thrift
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\ST4-4.0.8.jar;
error in opening zip
file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\antlr-runtime-3.5.2.jar;
error in op
ening zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\paranamer-2.3.jar;
error in opening
zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\slf4j-api-1.6.1.jar;
error in openin
g zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\snappy-java-1.0.3.2.jar;
error in op
ening zip file
    [javac] 5 errors
{code}

  was:
In the trunk, the cassandra-2.1 branch as well as the 2.1 beta 1 and beta2 tags, cassandra
does not build via ant on Windows.

This was reproduced on three machines, one using a fresh checkout of C*, and fresh install
of ant and java.

The following error messages were availabe:

{code}
maven-ant-tasks-retrieve-build:
[artifact:dependencies] [WARNING] POM for 'org.codehaus.jackson:jackson-mapper-asl:pom:1.7.3:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'com.thoughtworks.paranamer:paranamer:pom:2.3:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.xerial.snappy:snappy-java:pom:1.0.3.2:compile'
is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.slf4j:slf4j-api:pom:1.6.1:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.antlr:antlr-runtime:pom:3.5.2:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] [WARNING] POM for 'org.antlr:ST4:pom:4.0.8:compile' is invalid.
[artifact:dependencies]
[artifact:dependencies] Its dependencies (if any) will NOT be available to the current build.
[artifact:dependencies] Building ant file: D:\Users\Philip\cassandra\cassandra/build/build-dependencies.xml
     [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\jars
     [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\sources
{code}

and then more importantly:

{code}
build-project:
     [echo] apache-cassandra: D:\Users\Philip\cassandra\cassandra\build.xml
    [javac] Compiling 45 source files to D:\Users\Philip\cassandra\cassandra\build\classes\thrift
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\ST4-4.0.8.jar;
error in opening zip
file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\antlr-runtime-3.5.2.jar;
error in op
ening zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\paranamer-2.3.jar;
error in opening
zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\slf4j-api-1.6.1.jar;
error in openin
g zip file
    [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\snappy-java-1.0.3.2.jar;
error in op
ening zip file
    [javac] 5 errors
{code}


> 2.1 and trunk do not build on windows with ant
> ----------------------------------------------
>
>                 Key: CASSANDRA-7179
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-7179
>             Project: Cassandra
>          Issue Type: Bug
>          Components: Packaging
>         Environment: Windows 7 x64
>            Reporter: Philip Thompson
>            Priority: Minor
>
> In the trunk, the cassandra-2.1 branch as well as the 2.1 beta 1 and beta2 tags, cassandra
does not build via ant on Windows.
> This was reproduced on three machines, one using a fresh checkout of C*, and fresh install
of ant and java. All three machines correctly have the env vars ANT_HOME, CASSANDRA_HOME,
and JAVA_HOME set.
> The following error messages were availabe:
> {code}
> maven-ant-tasks-retrieve-build:
> [artifact:dependencies] [WARNING] POM for 'org.codehaus.jackson:jackson-mapper-asl:pom:1.7.3:compile'
is invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] [WARNING] POM for 'com.thoughtworks.paranamer:paranamer:pom:2.3:compile'
is invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] [WARNING] POM for 'org.xerial.snappy:snappy-java:pom:1.0.3.2:compile'
is invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] [WARNING] POM for 'org.slf4j:slf4j-api:pom:1.6.1:compile' is
invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] [WARNING] POM for 'org.antlr:antlr-runtime:pom:3.5.2:compile'
is invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] [WARNING] POM for 'org.antlr:ST4:pom:4.0.8:compile' is invalid.
> [artifact:dependencies]
> [artifact:dependencies] Its dependencies (if any) will NOT be available to the current
build.
> [artifact:dependencies] Building ant file: D:\Users\Philip\cassandra\cassandra/build/build-dependencies.xml
>      [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\jars
>      [copy] Copying 59 files to D:\Users\Philip\cassandra\cassandra\build\lib\sources
> {code}
> and then more importantly:
> {code}
> build-project:
>      [echo] apache-cassandra: D:\Users\Philip\cassandra\cassandra\build.xml
>     [javac] Compiling 45 source files to D:\Users\Philip\cassandra\cassandra\build\classes\thrift
>     [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\ST4-4.0.8.jar;
error in opening zip
> file
>     [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\antlr-runtime-3.5.2.jar;
error in op
> ening zip file
>     [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\paranamer-2.3.jar;
error in opening
> zip file
>     [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\slf4j-api-1.6.1.jar;
error in openin
> g zip file
>     [javac] error: error reading D:\Users\Philip\cassandra\cassandra\build\lib\jars\snappy-java-1.0.3.2.jar;
error in op
> ening zip file
>     [javac] 5 errors
> {code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message